# Getting Started

Sky Follower Bridge helps you find and follow your Threads connections on Bluesky.

<iframe width="100%" height="315" src="https://www.youtube.com/embed/2GH-Vn3lBZ8?si=oScIGF2uFYAIH4jc" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>

## Installation

Sky Follower Bridge is available on:

- [Chrome Web Store](https://chrome.google.com/webstore/detail/sky-follower-bridge/behhbpbpmailcnfbjagknjngnfdojpko) (Recommended)

::: warning
Sky Follower Bridge is only available on desktop browsers. Mobile browsers are not supported.
:::

## Usage

### 1. Navigate to Threads

Visit any of threads following tab:
- 1. Open account settings

![open-account-settings](/images/threads-open-account.png)

- 2. Click followers text

![alt text](/images/threads-click-followers.png)

- 3. Click following tab

![click-following](/images/threads-click-following.png)

### 2. Launch Sky Follower Bridge

Either press `Alt + B` or click the extension icon in your browser toolbar.

::: tip
For Firefox users, pressing `Alt + B` may not work. In that case, click the extension icon in the browser toolbar.

https://support.mozilla.org/en-US/kb/extensions-button
:::

![alt text](/images/threads-open-extension.png)

### 3. Sign in to Bluesky

Enter your Bluesky handle (or email) and [App password](https://bsky.app/settings/app-passwords).

::: tip
If you encounter login errors, please refer to the [Troubleshooting Guide](/troubleshooting).
:::

![enter-credentials](/images/enter-credentials.png)

### 4. Start the Search

Click "Find Bluesky Users" to begin scanning. The extension will search for matching Bluesky profiles by checking the Bluesky API.

![find-bluesky-users](/images/scan-users.png)

### 5. Review Results

Click "View Results" to see potential matches found on Bluesky.

![view-results-button](/images/click-results.png)

This will open the options page showing all detected Bluesky users.

![options](/images/options.png)

### 6. Follow Users

Click the "Follow" button next to any user you'd like to connect with.

![follow](/images/click-follow-btn.png)

or use the "Follow All" button to follow all detected users at once.

![follow-all](/images/follow-all-btn.png)

::: warning
Please note that the matching process isn't perfect and may occasionally suggest incorrect matches. Always verify the profile before following.
:::

That's all! Enjoy connecting with your community on Bluesky 🎉
