# Getting Started

Sky Follower Bridge helps you find and follow your 𝕏 (Twitter) connections on Bluesky.

<iframe width="100%" height="315" src="https://www.youtube.com/embed/CnjjfSxm0G0?si=N2OFp15PPiZZezEN" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>



## Installation

Sky Follower Bridge is available on:

<ul class="install-list">
  <li>
    <img src="/images/icon-chrome.svg" width="20" height="20">
    <a href="https://chrome.google.com/webstore/detail/sky-follower-bridge/behhbpbpmailcnfbjagknjngnfdojpko">Chrome Web Store</a> (Recommended⭐)
  </li>
  <li>
    <img src="/images/icon-firefox.svg" width="20" height="20">
    <a href="https://addons.mozilla.org/en-US/firefox/addon/sky-follower-bridge/">Firefox Add-ons</a>
  </li>
  <li>
    <img src="/images/icon-edge.svg" width="20" height="20">
    <a href="https://microsoftedge.microsoft.com/addons/detail/sky-follower-bridge/dpeolmdblhfolkhlhbhlofkkpaojnnbb">Microsoft Edge Add-ons</a>
  </li>
  <li>
    <img src="/images/icon-safari.svg" width="20" height="20">
    <a href="https://apps.apple.com/us/app/sky-follower-bridge/id6738878242?mt=12">Safari Web Extension</a> <span>(Thanks to <a href="https://bsky.app/profile/knotbin.xyz">@knotbin.xyz</a>)</span>
  </li>
</ul>

::: tip
We recommend using the Chrome Web Store version as it's always up to date. Other store versions may lag behind in updates.
:::

::: warning
Sky Follower Bridge is only available on desktop browsers. Mobile browsers are not supported.
:::

## Usage

### 1. Navigate to 𝕏 (Twitter)

Visit any of these pages on X:
- Your Following page: [x.com/following](https://x.com/following)
- Your Blocked users page: [x.com/settings/blocked/all](https://x.com/settings/blocked/all)
- A public List's Members page: `x.com/i/lists/<list_id>/members`

![following-page](/images/following-page.png)

### 2. Launch Sky Follower Bridge

Either press `Alt + B` or click the extension icon in your browser toolbar.

::: tip
For Firefox users, pressing `Alt + B` may not work. In that case, click the extension icon in the browser toolbar.

https://support.mozilla.org/en-US/kb/extensions-button
:::

![Open Extension](/images/open-extension.png)

### 3. Sign in to Bluesky

Enter your Bluesky handle (or email) and [App password](https://bsky.app/settings/app-passwords).

::: tip
If you encounter login errors, please refer to the [Troubleshooting Guide](/troubleshooting).
:::

![enter-credentials](/images/enter-credentials.png)

### 4. Start the Search

Click "Find Bluesky Users" to begin scanning. The extension will search for matching Bluesky profiles by checking the Bluesky API.

![find-bluesky-users](/images/scan-users.png)

### 5. Review Results

Click "View Results" to see potential matches found on Bluesky.

![view-results-button](/images/click-results.png)

This will open the options page showing all detected Bluesky users.

![options](/images/options.png)

### 6. Follow Users

Click the "Follow" button next to any user you'd like to connect with.

![follow](/images/click-follow-btn.png)

or use the "Follow All" button to follow all detected users at once.

![follow-all](/images/follow-all-btn.png)

::: warning
Please note that the matching process isn't perfect and may occasionally suggest incorrect matches. Always verify the profile before following.
:::

That's all! Enjoy connecting with your community on Bluesky 🎉
